Subject: Re: modified readFromFile

From: Chee Yap <[email-masked]>
Date: Tue, 19 Oct 1999 10:15:25 -0400 (EDT)

Alice, 

you are right, thanks for pointing it out.

I have fixed the files (but I declared
curr and last to be "myNode").

--Chee

> From [email-masked] Mon Oct 18 17:20 EDT 1999
> From: "Alice Dao" <[email-masked]>
> To: "Chee Yap" <[email-masked]>
> Subject: modified readFromFile
> Date: Mon, 18 Oct 1999 17:21:17 -0400
> X-Priority: 3
> X-MSMail-Priority: Normal
> X-MimeOLE: Produced By Microsoft MimeOLE V5.00.2014.211
> 
> Prof Yap:
> 
> I think you forgot to change these lines in the modified readFromFile
> method:
>    nodeInterface curr = new nodeInt();
>    nodeInterface last = this;
> 'curr' and 'last' should declare as 'myNode' instead of nodeInterface(which
> isn't the interface we are using for hw3) and nodeInt.
> 
> Also, a few lines down,
>   last = last.getNext();
> need to be cast on the right side of the assignment, since getNext() return
> a nodeInt instead of 'myNode' IF 'last' is declared as 'myNode'
> 
> Ok, those are the thing i had to fix before I get the program to run.
> 
> alice
> 
>